﻿define([
    "dojo",
    "dojo/_base/declare",
    "epi/dependency",
    "epi/routes",
    "dojo/topic",
    "dojo/store/JsonRest",
    "epi/shell/command/_Command"
], function (dojo, declare, dependency, routes, topic, JsonRest, _Command) {

    return declare([_Command], {
        contentQuery: null,

        label: "Asset logs",

        category: "setting",

        canExecute: true,
        forceContextChange: true,
        forceReload: true,
        _execute: function () {
            var registry = dependency.resolve("epi.storeregistry");
            this.store = this.store || registry.get("workspace.asseterrorlogsstore");

            dojo.when(this.store.get(),
                function (item) {
                    window.location.href = "#context=epi.cms.contentdata:///" + item.pageRef;
                    window.location.reload(true);
                });
        }
    });
})