﻿define([
    "dojo/_base/declare",
    "epi/shell/command/_Command"
], function (declare, _Command) {

    return declare([_Command], {
        contentQuery: null,

        label: "Clear Workspace",
        category: "context",

        canExecute: true,
        iconClass: "epi-iconClock",

        _execute: function () {
            this.store.put("-1");
            this.contentQuery.set("queryParameters", { workspace: 1, page: 1 });
            this.contentQuery.set("queryName", "WorkspaceQuery");
        }
    });
})