﻿define([
    "dojo",
    "dojo/_base/declare",
    "epi/dependency",
    "epi/routes",
    "dojo/topic",
    "dojo/store/JsonRest",
    "epi/shell/command/_Command"
], function (dojo, declare, dependency, routes, topic, JsonRest, _Command) {

    return declare([_Command], {
        contentQuery: null,

        label: "Dashboard",

        category: "setting",

        canExecute: true,
        forceContextChange: true,
        forceReload: true,
        _execute: function () {
            var registry = dependency.resolve("epi.storeregistry");
            this.store = this.store || registry.get("workspace.dashboardstore");

            //this.store.get().then(function (item) {
            //    window.location.href = item.pageUrl;
            //    //window.location.reload();
            //});

            dojo.when(this.store.get(),
                function (item) {
                    // topic.publish("/epi/shell/context/request",
                    //     { uri: "epi.cms.contentdata:///" + item.pageRef},
                    //     {
                    //         sender: this,
                    //         viewName: this.view,
                    //         typeIdentifiers: this.typeIdentifiers,
                    //         forceReload: true,
                    //         forceContextChange: true
                    //     });
                    //
                    window.location.href = "#context=epi.cms.contentdata:///" + item.pageRef;
                    window.location.reload(true);//.reload();
                });
        }
    });
});