﻿define([
    "dojo",
    "dojo/_base/declare",
    "epi/dependency",
    "epi/routes",
    "dojo/topic",
    "dojo/store/JsonRest",
    "epi/shell/command/_Command"
], function (dojo, declare, dependency, routes, topic, JsonRest, _Command) {

    return declare([_Command], {
        contentQuery: null,

        label: "Settings",

        category: "setting",

        canExecute: true,

        _execute: function () {
            var registry = dependency.resolve("epi.storeregistry");
            this.store = this.store || registry.get("workspace.settingstore");
            dojo.when(this.store.get(),
                function (item) {
                    topic.publish("/epi/shell/context/request",
                        { uri: "epi.cms.contentdata:///" + item.pageRef },
                        { sender: this, typeIdentifiers: this.typeIdentifiers });
                });
        }
    });
})